DEFINT A-Z
TYPE REGISTER
     AX    AS INTEGER
     BX    AS INTEGER
     CX    AS INTEGER
     DX    AS INTEGER
     BP    AS INTEGER
     SI    AS INTEGER
     DI    AS INTEGER
     FLAGS AS INTEGER
END TYPE
TYPE REGISTERX
     AX    AS INTEGER
     BX    AS INTEGER
     CX    AS INTEGER
     DX    AS INTEGER
     BP    AS INTEGER
     SI    AS INTEGER
     DI    AS INTEGER
     FLAGS AS INTEGER
     DS    AS INTEGER
     ES    AS INTEGER
END TYPE
DIM SHARED Inregs AS REGISTER, Outregs AS REGISTER
DIM SHARED InregsX AS REGISTERX, OutregsX AS REGISTERX

'-------------------------------------------------------------
'-------------------------------------------------- INTRPT.OBJ
DECLARE SUB Interrupt (INTNUM, INPUTREG AS REGISTER, OUTPUTREG AS REGISTER)
DECLARE SUB Interruptx (INTNUM, INPUTREGX AS REGISTERX, OUTPUTREGX AS REGISTERX)

'-------------------------------------------------------------
'------------------------------------------------ ABSOLUTE.OBJ
DECLARE SUB Absolute (ADDRESS)

'-------------------------------------------------------------
'------------------------------------------------ INT86OLD.OBJ
DECLARE SUB Int86OLD (INTNUM, INARRAY(), OUTARRAY())
DECLARE SUB Int86OLDX (INTNUM, INARRAY(), OUTARRAY())

'-------------------------------------------------------------
'--------------------------------------------------- DELAY.OBJ
DECLARE SUB DELAY CDECL (BYVAL TIMES)

'-------------------------------------------------------------
'-------------------------------------------------- EXTEND.OBJ
DECLARE SUB SETDTA (BYVAL DTASEG, BYVAL DTAOFF)
DECLARE FUNCTION GETDTA& ()

DECLARE SUB WAITAKEY ()
DECLARE FUNCTION GETWAITAKEY ALIAS "WAITAKEY" ()

DECLARE SUB ClearKEYBuf ()
DECLARE SUB AAboveB (AWORD, BWORD)
DECLARE FUNCTION GetShiftStatus ()
DECLARE FUNCTION LONGtoINT (BYVAL LONGINT&)
DECLARE FUNCTION ShiftL (BYVAL S, BYVAL N)
DECLARE FUNCTION ShiftR (BYVAL S, BYVAL N)
DECLARE FUNCTION RotateR (BYVAL S, BYVAL N)
DECLARE FUNCTION RotateL (BYVAL S, BYVAL N)
DECLARE FUNCTION HanAGAIN$ (STR2$, BYVAL LENS)

DECLARE FUNCTION GetTIMER& ()
DECLARE FUNCTION EXECUTEDPATH$ ()
DECLARE FUNCTION INTTOBINARY$ (BYVAL WORD)

DECLARE FUNCTION GetCurDrive$ ()
DECLARE FUNCTION GetCurDirectory$ ()

'-------------------------------------------------------------
'---------------------------------------------------- FILE.OBJ
DECLARE SUB FILEDELETE (FILENAME$)
DECLARE SUB FILERENAME (FILE1$, FILE2$)
DECLARE FUNCTION FILEGETATTRIB (FILENAME$)
DECLARE FUNCTION FILESETATTRIB (FILENAME$, BYVAL ATTR)

DECLARE SUB FILESETOPTION (BYVAL SETTING)
DECLARE FUNCTION FILEFIRSTFIND$ (WILD$, BYVAL ATTR)
DECLARE FUNCTION FILENEXTFIND$ ()

DECLARE FUNCTION FILEGetATTR ()
DECLARE FUNCTION FILEGetTIME ()
DECLARE FUNCTION FILEGetDATE ()
DECLARE FUNCTION FILEGetSIZE& ()

DECLARE SUB FILEClose (BYVAL Handle)
DECLARE FUNCTION FILEOpen (FILE$)
DECLARE FUNCTION FILECreate (FILE$)

DECLARE SUB FILESeek (BYVAL Handle, BYVAL FROM, BYVAL HOWLONG&)
DECLARE FUNCTION FILEEOF (BYVAL Handle)
DECLARE FUNCTION FILELOC& (BYVAL Handle)
DECLARE FUNCTION FILELOF& (BYVAL Handle)

DECLARE SUB FILEGetSTR ALIAS "FILEGetdataSTR" (BYVAL Handle, STRINGS$)
DECLARE SUB FILEPutSTR ALIAS "FILEPutdataSTR" (BYVAL Handle, STRINGS$)
DECLARE SUB FILEGetADD ALIAS "FILEGetdataADD" (BYVAL Handle, BYVAL SEGS, BYVAL OFFS, BYVAL SIZES)
DECLARE SUB FILEPutADD ALIAS "FILEPutdataADD" (BYVAL Handle, BYVAL SEGS, BYVAL OFFS, BYVAL SIZES)
DECLARE SUB FILEGetBUF ALIAS "FILEGetdataADD" (BYVAL Handle, SEG BUF, BYVAL SIZES)
DECLARE SUB FILEPutBUF ALIAS "FILEPutdataADD" (BYVAL Handle, SEG BUF, BYVAL SIZES)

DECLARE FUNCTION FILEGetdataSTR (BYVAL Handle, STRINGS$)
DECLARE FUNCTION FILEPutdataSTR (BYVAL Handle, STRINGS$)
DECLARE FUNCTION FILEGetdataADD (BYVAL Handle, BYVAL SEGS, BYVAL OFFS, BYVAL SIZES)
DECLARE FUNCTION FILEPutdataADD (BYVAL Handle, BYVAL SEGS, BYVAL OFFS, BYVAL SIZES)
DECLARE FUNCTION FILEGetdataBUF ALIAS "FILEGetdataADD" (BYVAL Handle, SEG BUF, BYVAL SIZES)
DECLARE FUNCTION FILEPutdataBUF ALIAS "FILEPutdataADD" (BYVAL Handle, SEG BUF, BYVAL SIZES)

CONST FROMHEAD = 0, FROMCUR = 1, FROMEND = 2
CONST HANSIZE = 11520, ENGSIZE = 4096, SPCSIZE = 4096, CHKSIZE = 384




DECLARE SUB DOSPRINT (TOPRINT$)

